/*
 * Created on Jan 11, 2005
 *
 * Test cases directly related Person
 */
package gov.va.med.esr.common.persistent.hibernate;

import java.util.Date;
import java.util.List;

import gov.va.med.fw.model.AbstractKeyedEntity;
import gov.va.med.esr.common.infra.ImpreciseDate;

import gov.va.med.esr.common.infra.TriState;
import gov.va.med.esr.common.model.ee.Application;
import gov.va.med.esr.common.model.ee.CancelDecline;
import gov.va.med.esr.common.model.ee.NoseThroatRadium;
import gov.va.med.esr.common.model.ee.SpinalCordInjury;
import gov.va.med.esr.common.model.person.BirthRecord;
import gov.va.med.esr.common.model.person.Employment;
import gov.va.med.esr.common.model.person.Ethnicity;
import gov.va.med.esr.common.model.person.Person;
import gov.va.med.esr.common.model.person.Race;
import gov.va.med.esr.common.model.person.Relation;
import gov.va.med.esr.common.model.person.Spouse;
import gov.va.med.esr.common.model.person.VOAApplication;
import gov.va.med.esr.common.model.lookup.BenefitType;
import gov.va.med.esr.common.model.lookup.EmploymentStatus;
import gov.va.med.esr.common.model.lookup.EthnicityType;
import gov.va.med.esr.common.model.lookup.NTRVerificationMethod;
import gov.va.med.esr.common.model.lookup.RaceType;
import gov.va.med.esr.common.model.lookup.Relationship;
import gov.va.med.esr.common.model.lookup.AddressType;
import gov.va.med.esr.common.model.lookup.PhoneType;
import gov.va.med.esr.common.model.lookup.SpinalCordInjuryType;
import gov.va.med.esr.common.model.lookup.VAFacility;

/**
 * @author DNS   chenj2
 
 * Test cases directly related to VOA ESR 3.1 changes
 **/
public class VOAResubmissionTest extends PersonTest {
	
	public void testGetVOAResubmissionApps()
	{
		List lst = null;
		try {
			lst = this.getVoaApplicationService().getResubmissionVOAApplications();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}
	
	
	public void testVOAResubmission_PersonNotFound()
	{
		List lst = null;
		try {
			lst = this.getVoaApplicationService().getResubmissionVOAApplications();
			this.getVoaApplicationService().resubmitVoaApplication((VOAApplication)lst.get(0));
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
		this.setComplete();
	}

}
